Letrain 版本说明

-----------------------------------------------------------------------------------------------

Release v1.1

Major Featrues And Improvements:

1.	Add four kinds of gradients clipping: 
1)	clip the local gradient of each variable  (--gradient_norm > 0) 
2)	clip the global gradient of the entire model  (--max_gradient_norm > 0)
3)	clip the local gradient first, then clip the global gradient ( -- gradient_norm_global_first = False)
4)	clip the gloabl gradient first, then clip the local gradient (-- gradient_norm_global_first = True )

2.	Add the tf-record data converting and reading flow for built-in image classification models

3.	Refine and improve the auto-delay based cyclic distributed SGD algorithm 

4.	Revise the input flow by queue way, decouple the training and validation flows. These changes require that
The data input way of training  and validation must be consistent. If you use the queue way in training, use also queue way in validation.


Bug Fixes and Other Changes:

5.	Fix some errors of logging function
6.	Fix the functional and performance issues of validation flow for built-in image classification models
7.	Change the data input way of validation to queue way for memory network and mask-r-cnn models
8.	Fix the recurrent import error in faster-r-cnn model
9.	Reconstruct and refine some parts of the code architecture

-----------------------------------------------------------------------------------------------

Release v1.2

New features:

1.  Add the inference function for built-in unet model
2.  Add a new parameter -- fixed_learning_rate_opt . It can be  ‘normal’ (default) or ‘ladder’.
     1) if it is ‘normal’,  the  baseline learning rate is determined by parameter --learning_rate as usual.
     2) if it is ‘ladder’, you can specify a file to define the baseline learning rate with paremeter --learning_rate_schedule_file = xxx.txt.  Below is an example of xxx.txt:

        # Learning rate schedule for 160 input, recommended max_epoches=200
        # Maps an epoch number to a learning rate
        0:  0.1
        85000: 0.01
        125000: 0.001
        170000: 0.0001

         The first column is the global step，the second column is the baseline learning rate.


Bug Fixes and Other Changes:

3. Support the string format label for built-in image classification models when customized dataset is used.
     If --label_map_file_dir  is set to a directory,  the map of string to number is recorded and saved in this directory. It is for the use in inference stage.
4. Fix the issue of incorrect --num_examples_per_epoch value for some built-in image classification models
5. Fix the gradient == None issue when updater=cyclic or ps_worker_sync_interval > 0
6. Add the variables with attribute trainable=False to LOCAL_VARIABLES collection to avoid initialization error in some cases.

---------------------------------------------------------------------------------------------------


