#!/bin/bash
cd ..
if [ "$1" == "ps0" ];then
    echo "===================================ps0==================================="
    CUDA_VISIBLE_DEVICES=''  python letrain.py --train_dir=/home/$USER/train/smile --task=smile --data_dir=/nfsdata/wangpeng_data/data/celeba_tfrecord_data --batch_size=64 --learning_rate=0.001 --model_name=inception_v3 --num_clones=1 --job_name='ps' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0 --data_format=tfrecord
elif [ "$1" == "worker0" ];then
    echo "===================================worker0==================================="
    CUDA_VISIBLE_DEVICES=0   python letrain.py --train_dir=/home/$USER/train/smile --task=smile --data_dir=/nfsdata/wangpeng_data/data/celeba_tfrecord_data  --batch_size=64 --learning_rate=0.001 --model_name=inception_v3 --num_clones=1 --job_name='worker' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0 --data_format=tfrecord
elif [ "$1" == "worker1" ];then
    echo "===================================worker1==================================="
    CUDA_VISIBLE_DEVICES=1   python letrain.py --train_dir=/home/$USER/train/smile --task=smile --data_dir=/nfsdata/wangpeng_data/data/celeba_tfrecord_data  --batch_size=64 --learning_rate=0.001 --model_name=inception_v3 --num_clones=1 --job_name='worker' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=1 --data_format=tfrecord
elif [ "$1" == "local" ];then
    echo "===================================local==================================="
    CUDA_VISIBLE_DEVICES=0 python letrain.py --train_dir=/home/$USER/train/smile --task=smile --batch_size=64 --learning_rate=0.001 --model_name=inception_v3 --num_clones=1 --data_dir=/nfsdata/wangpeng_data/data/celeba_tfrecord_data --data_format=tfrecord
fi
