#!/bin/bash
cd ..

if [ "$1" == "ps0" ];then
    echo "===================================ps0==================================="
   CUDA_VISIBLE_DEVICES='' python letrain.py --batch_size=128 --learning_rate=0.001 --num_clones=1 --data_dir=/nfsdata/wangpeng_data/data/kvdata/data --job_name='ps'  --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0   --train_dir=/home/$USER/train/kvmem --model_name=kv_memnet --log_iters_run_time=100 --ps_worker_sync_interval=1
elif [ "$1" == "worker0" ];then
    echo "===================================worker0==================================="
    CUDA_VISIBLE_DEVICES=0 python letrain.py --batch_size=128 --learning_rate=0.001 --num_clones=1 --data_dir=/nfsdata/wangpeng_data/data/kvdata/data --job_name='worker'  --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0  --train_dir=/home/$USER/train/kvmem --model_name=kv_memnet --log_iters_run_time=100 --ps_worker_sync_interval=1
elif [ "$1" == "worker1" ];then
    echo "===================================worker1==================================="
     CUDA_VISIBLE_DEVICES=1 python letrain.py --batch_size=128 --learning_rate=0.001 --num_clones=1 --data_dir=/nfsdata/wangpeng_data/data/kvdata/data --job_name='worker'  --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=1  --train_dir=/home/$USER/train/kvmem --model_name=kv_memnet --log_iters_run_time=100 --ps_worker_sync_interval=1
elif [ "$1" == "local" ];then
    echo "===================================local==================================="
    CUDA_VISIBLE_DEVICES=0 python ./letrain.py --train_dir=/home/$USER/train/kvmem --data_dir=/nfsdata/wangpeng_data/data/kvdata/data --batch_size=128  --model_name=kv_memnet --num_clones=1 --reader_def=./kvmem/read_memnn_new.py --model_def=./kvmem/memnn_loss_label_new.py --learning_rate=0.001 --log_iters_run_time=1 --ps_worker_sync_interval=1
fi



