#!/bin/bash
cd ..

if [ "$1" == "ps0" ];then
    echo "===================================ps0==================================="
    CUDA_VISIBLE_DEVICES=''  python ./letrain.py --train_dir=/home/$USER/train/translate --data_dir=/nfsdata/wangpeng_data/data/translatedata --batch_size=64 --max_train_data_size=10000  --model_name=translate --num_clones=1 --job_name='ps' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0  --size=512 --ps_worker_sync_interval=1
elif [ "$1" == "worker0" ];then
    echo "===================================worker0==================================="
    CUDA_VISIBLE_DEVICES=0   python ./letrain.py --train_dir=/home/$USER/train/translate --data_dir=/nfsdata/wangpeng_data/data/translatedata --batch_size=64    --max_train_data_size=10000  --model_name=translate --num_clones=1 --job_name='worker' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=0  --size=512 --ps_worker_sync_interval=1
elif [ "$1" == "worker1" ];then
    echo "===================================worker1==================================="
    CUDA_VISIBLE_DEVICES=1   python ./letrain.py --train_dir=/home/$USER/train/translate --data_dir=/nfsdata/wangpeng_data/data/translatedata --batch_size=64 --max_train_data_size=10000  --model_name=translate --num_clones=1 --job_name='worker' --ps_hosts='localhost:2278' --worker_hosts='localhost:2283,localhost:2284' --task_index=1  --size=512 --ps_worker_sync_interval=1
elif [ "$1" == "local" ];then
    echo "===================================local==================================="
    CUDA_VISIBLE_DEVICES=0 python ./letrain.py --train_dir=/home/$USER/train/translate --batch_size=64 --max_train_data_size=3000 --model_name=translate --num_clones=1 --reader_def=./rnn-multi-nodes/translate/get_data_origin.py --model_def=./rnn-multi-nodes/translate/get_loss_origin.py --size=512 --ps_worker_sync_interval=1 --data_dir=/nfsdata/wangpeng_data/data/translatedata
fi
